Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataSU

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataSU

All Implemented Interfaces:
  IDataSU

public class DataSU
extends java.lang.Object
implements IDataSU

DataSU
Classe d'accès aux données manipulant les supers-utilisateurs
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataSU()`

Method Summary
`void` | `addSuperUser(org.esupportail.portal.utils.database.Query query, java.lang.String login)` Ajout d'un super-utilisateur
`java.util.Collection` | `getSuperUsers(org.esupportail.portal.utils.database.Query query)` Récupération des super-utilisateurs
`void` | `removeSuperUser(org.esupportail.portal.utils.database.Query query, java.lang.String login)` Suppression d'un super-utilisateur

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSU

    public DataSU()

Method Detail

### getSuperUsers

    public java.util.Collection getSuperUsers(org.esupportail.portal.utils.database.Query query)
                                       throws DataException

  Récupération des super-utilisateurs

  Specified by:
    `getSuperUsers` in interface `IDataSU`
  Parameters:
    `query` - La connexion à utiliser
  Returns:
    La liste des super-utilisateurs
  Throws:
    `DataException`

### addSuperUser

    public void addSuperUser(org.esupportail.portal.utils.database.Query query,
                             java.lang.String login)
                      throws DataException

  Ajout d'un super-utilisateur

  Specified by:
    `addSuperUser` in interface `IDataSU`
  Parameters:
    `query` - La connexion à utiliser
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### removeSuperUser

    public void removeSuperUser(org.esupportail.portal.utils.database.Query query,
                                java.lang.String login)
                         throws DataException

  Suppression d'un super-utilisateur

  Specified by:
    `removeSuperUser` in interface `IDataSU`
  Parameters:
    `query` - La connexion à utiliser
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD